// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: pkg/protos/hcforwarder.proto

package hcforwarder

import (
	realserver "gitlab.wikimedia.org/repos/sre/liberica/pkg/protos/realserver"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ListRealserversRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListRealserversRequest) Reset() {
	*x = ListRealserversRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListRealserversRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListRealserversRequest) ProtoMessage() {}

func (x *ListRealserversRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListRealserversRequest.ProtoReflect.Descriptor instead.
func (*ListRealserversRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{0}
}

type ListRealserversResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realservers []*realserver.Realserver `protobuf:"bytes,1,rep,name=realservers,proto3" json:"realservers,omitempty"`
}

func (x *ListRealserversResponse) Reset() {
	*x = ListRealserversResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListRealserversResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListRealserversResponse) ProtoMessage() {}

func (x *ListRealserversResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListRealserversResponse.ProtoReflect.Descriptor instead.
func (*ListRealserversResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{1}
}

func (x *ListRealserversResponse) GetRealservers() []*realserver.Realserver {
	if x != nil {
		return x.Realservers
	}
	return nil
}

type CreateRealserverRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realserver *realserver.Realserver `protobuf:"bytes,1,opt,name=realserver,proto3" json:"realserver,omitempty"` // required
}

func (x *CreateRealserverRequest) Reset() {
	*x = CreateRealserverRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRealserverRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRealserverRequest) ProtoMessage() {}

func (x *CreateRealserverRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRealserverRequest.ProtoReflect.Descriptor instead.
func (*CreateRealserverRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{2}
}

func (x *CreateRealserverRequest) GetRealserver() *realserver.Realserver {
	if x != nil {
		return x.Realserver
	}
	return nil
}

type CreateRealserverResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CreateRealserverResponse) Reset() {
	*x = CreateRealserverResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateRealserverResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateRealserverResponse) ProtoMessage() {}

func (x *CreateRealserverResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateRealserverResponse.ProtoReflect.Descriptor instead.
func (*CreateRealserverResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{3}
}

type DeleteRealserverRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Realserver *realserver.Realserver `protobuf:"bytes,1,opt,name=realserver,proto3" json:"realserver,omitempty"` // required
}

func (x *DeleteRealserverRequest) Reset() {
	*x = DeleteRealserverRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRealserverRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRealserverRequest) ProtoMessage() {}

func (x *DeleteRealserverRequest) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRealserverRequest.ProtoReflect.Descriptor instead.
func (*DeleteRealserverRequest) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteRealserverRequest) GetRealserver() *realserver.Realserver {
	if x != nil {
		return x.Realserver
	}
	return nil
}

type DeleteRealserverResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteRealserverResponse) Reset() {
	*x = DeleteRealserverResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_protos_hcforwarder_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteRealserverResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteRealserverResponse) ProtoMessage() {}

func (x *DeleteRealserverResponse) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_protos_hcforwarder_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteRealserverResponse.ProtoReflect.Descriptor instead.
func (*DeleteRealserverResponse) Descriptor() ([]byte, []int) {
	return file_pkg_protos_hcforwarder_proto_rawDescGZIP(), []int{5}
}

var File_pkg_protos_hcforwarder_proto protoreflect.FileDescriptor

var file_pkg_protos_hcforwarder_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x68, 0x63, 0x66,
	0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0b,
	0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1b, 0x70, 0x6b, 0x67,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x18, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74,
	0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x22, 0x53, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x38, 0x0a,
	0x0b, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2e,
	0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x0b, 0x72, 0x65, 0x61, 0x6c,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x22, 0x51, 0x0a, 0x17, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x36, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x0a,
	0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x1a, 0x0a, 0x18, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x51, 0x0a, 0x17, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x36, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x2e, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x0a, 0x72,
	0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x1a, 0x0a, 0x18, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xb4, 0x02, 0x0a, 0x12, 0x48, 0x43, 0x46, 0x6f, 0x72, 0x77,
	0x61, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x5c, 0x0a, 0x0f,
	0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x12,
	0x23, 0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65,
	0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5f, 0x0a, 0x10, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x24,
	0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5f, 0x0a, 0x10, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12,
	0x24, 0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x61, 0x6c, 0x73, 0x65,
	0x72, 0x76, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x40, 0x5a, 0x3e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x77, 0x69, 0x6b, 0x69, 0x6d, 0x65, 0x64, 0x69, 0x61,
	0x2e, 0x6f, 0x72, 0x67, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x2f, 0x73, 0x72, 0x65, 0x2f, 0x6c,
	0x69, 0x62, 0x65, 0x72, 0x69, 0x63, 0x61, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x2f, 0x68, 0x63, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_protos_hcforwarder_proto_rawDescOnce sync.Once
	file_pkg_protos_hcforwarder_proto_rawDescData = file_pkg_protos_hcforwarder_proto_rawDesc
)

func file_pkg_protos_hcforwarder_proto_rawDescGZIP() []byte {
	file_pkg_protos_hcforwarder_proto_rawDescOnce.Do(func() {
		file_pkg_protos_hcforwarder_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_protos_hcforwarder_proto_rawDescData)
	})
	return file_pkg_protos_hcforwarder_proto_rawDescData
}

var file_pkg_protos_hcforwarder_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_pkg_protos_hcforwarder_proto_goTypes = []interface{}{
	(*ListRealserversRequest)(nil),   // 0: hcforwarder.ListRealserversRequest
	(*ListRealserversResponse)(nil),  // 1: hcforwarder.ListRealserversResponse
	(*CreateRealserverRequest)(nil),  // 2: hcforwarder.CreateRealserverRequest
	(*CreateRealserverResponse)(nil), // 3: hcforwarder.CreateRealserverResponse
	(*DeleteRealserverRequest)(nil),  // 4: hcforwarder.DeleteRealserverRequest
	(*DeleteRealserverResponse)(nil), // 5: hcforwarder.DeleteRealserverResponse
	(*realserver.Realserver)(nil),    // 6: realserver.Realserver
}
var file_pkg_protos_hcforwarder_proto_depIdxs = []int32{
	6, // 0: hcforwarder.ListRealserversResponse.realservers:type_name -> realserver.Realserver
	6, // 1: hcforwarder.CreateRealserverRequest.realserver:type_name -> realserver.Realserver
	6, // 2: hcforwarder.DeleteRealserverRequest.realserver:type_name -> realserver.Realserver
	0, // 3: hcforwarder.HCForwarderService.ListRealservers:input_type -> hcforwarder.ListRealserversRequest
	2, // 4: hcforwarder.HCForwarderService.CreateRealserver:input_type -> hcforwarder.CreateRealserverRequest
	4, // 5: hcforwarder.HCForwarderService.DeleteRealserver:input_type -> hcforwarder.DeleteRealserverRequest
	1, // 6: hcforwarder.HCForwarderService.ListRealservers:output_type -> hcforwarder.ListRealserversResponse
	3, // 7: hcforwarder.HCForwarderService.CreateRealserver:output_type -> hcforwarder.CreateRealserverResponse
	5, // 8: hcforwarder.HCForwarderService.DeleteRealserver:output_type -> hcforwarder.DeleteRealserverResponse
	6, // [6:9] is the sub-list for method output_type
	3, // [3:6] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_pkg_protos_hcforwarder_proto_init() }
func file_pkg_protos_hcforwarder_proto_init() {
	if File_pkg_protos_hcforwarder_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_protos_hcforwarder_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListRealserversRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_hcforwarder_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListRealserversResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_hcforwarder_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRealserverRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_hcforwarder_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateRealserverResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_hcforwarder_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRealserverRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_protos_hcforwarder_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteRealserverResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_protos_hcforwarder_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_pkg_protos_hcforwarder_proto_goTypes,
		DependencyIndexes: file_pkg_protos_hcforwarder_proto_depIdxs,
		MessageInfos:      file_pkg_protos_hcforwarder_proto_msgTypes,
	}.Build()
	File_pkg_protos_hcforwarder_proto = out.File
	file_pkg_protos_hcforwarder_proto_rawDesc = nil
	file_pkg_protos_hcforwarder_proto_goTypes = nil
	file_pkg_protos_hcforwarder_proto_depIdxs = nil
}
